From f27d1d61d42aebe77cb8c9a6b874789baa805432 Mon Sep 17 00:00:00 2001
From: MatthewOwens <matthew@owens.tech>
Date: Mon, 20 Jul 2020 13:08:55 +0100
Subject: [PATCH] using correct header for about & project pages

---
 scripts/gen_about.sh    | 11 +++++++++++
 scripts/gen_projects.sh | 11 +++++++++++
 2 files changed, 22 insertions(+)
 create mode 100755 scripts/gen_about.sh
 create mode 100755 scripts/gen_projects.sh

diff --git a/scripts/gen_about.sh b/scripts/gen_about.sh
new file mode 100755
index 0000000..2abee98
--- /dev/null
+++ b/scripts/gen_about.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+[ $# -ne 1 ] && exit 1
+
+title=$(scripts/post_title.sh $1)
+
+# since $title will have a closing HTML tag, we need to use a different
+# seperator to '/' for sed
+sed "s|TITLE|$title|" includes/head.html
+cat includes/about_header.html
+markdown $1
diff --git a/scripts/gen_projects.sh b/scripts/gen_projects.sh
new file mode 100755
index 0000000..d8f0390
--- /dev/null
+++ b/scripts/gen_projects.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+[ $# -ne 1 ] && exit 1
+
+title=$(scripts/post_title.sh $1)
+
+# since $title will have a closing HTML tag, we need to use a different
+# seperator to '/' for sed
+sed "s|TITLE|$title|" includes/head.html
+cat includes/projects_header.html
+markdown $1
-- 
2.20.1